﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="AdminCommandes.aspx.cs" Inherits="AdminCommandes" Title="eLibrairie - Administration des commandes" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<div style="background-color:#EEE8AA;color:#6B6043;font-family:Verdana;font-size:10pt;">
<div class="TitreAdminCommandes">
 <asp:Label ID="zaTitre" runat="server" Font-Bold="True" Font-Names="Verdana"
  Font-Size="1.3em" Text="Administration des commandes"></asp:Label>
  <br /><br />
</div>
<div style="text-align:center;" >
 <br />
 </div>
 <asp:DataList runat="server" ID="dlCommandes" BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" 
   CellPadding="2" ForeColor="Black" RepeatColumns="1" Width="100%" OnItemCommand="dlCommandes_ItemCommand" DataKeyField="NumCommande" >
 <ItemTemplate>
   <div style="font-weight:bold;">
   Commande n° : <asp:Label runat="server" Text='<%# Eval("NumCommande") %>' />
   </div>
   <br />
   <table width="100%">
   <tr>
    <td style="width:30%;vertical-align:top;">
     <asp:Label id="zaISBN" runat="server" Text='<%# Eval("ISBN") %>' /><br /><br />
     <asp:Label runat="server" Text='<%# Eval("Titre") %>' /><br />
    </td>
   <td style="vertical-align:top;" >
     ID client :  <asp:Label id="zaIDClient" runat="server" Text='<%# Eval("ID") %>' /><br />
     <asp:Label runat="server" Text='<%# Eval("PRENOM") %>' />&nbsp;
     <asp:Label runat="server" Text='<%# Eval("NOM") %>' /><br />
     <asp:Label runat="server" Text='<%# Eval("ADRESSE") %>' /><br />
     <asp:Label runat="server" Text='<%# Eval("CP") %>' />&nbsp;&nbsp;
     <asp:Label runat="server" Text='<%# Eval("LOCALITE") %>' /><br />
     <asp:Label runat="server" Text='<%# Eval("PAYS") %>' /><br />
     <asp:Label runat="server" Text='<%# Eval("EMAIL") %>' /><br />
     Carte <asp:Label runat="server" Text='<%# Eval("CCTYPE") %>' />&nbsp;
     <asp:Label runat="server" Text='<%# Eval("CCNUM") %>' />&nbsp;&nbsp;
     Date expiration :&nbsp;<asp:Label runat="server" Text='<%# Eval("CCEXPMOIS") %>' />-<asp:Label runat="server" Text='<%# Eval("CCEXPANNEE") %>' />
    </td>
   </tr>
   </table>
   <hr style="width:100%" />
   <table width="100%">
    <tr>
     <td>
     Commande du <asp:Label runat="server" Text='<%# retDateCommande() %>' /><br />
     Etat commande : <asp:Label runat="server" Text='<%# retEtatCommande() %>' /><br />
     Info : <asp:Label runat="server" Text='<%# Eval("Commentaire") %>' /><br /><br />    
     &nbsp;&nbsp;&nbsp;&nbsp;
     <asp:Button runat="server" Text = "Supprimer" CommandName="Supprimer" CommandArgument='<%# Eval("NumCommande") %>'  />
     &nbsp;&nbsp;&nbsp;&nbsp;
     <asp:Button runat="server" Text = "Expédié" CommandName="Expédié" CommandArgument='<%# Eval("NumCommande") %>'  />
     &nbsp;&nbsp;&nbsp;&nbsp;
     <asp:Button runat="server" Text = "En attente" CommandName="Attente" CommandArgument='<%# Eval("NumCommande") %>'  />
     &nbsp;&nbsp;&nbsp;&nbsp;
     <asp:Button runat="server" Text = "Refus" CommandName="Refus" CommandArgument='<%# Eval("NumCommande") %>'  />     
     &nbsp;&nbsp;&nbsp;&nbsp;
     Commentaire : <asp:TextBox runat="server" ID="zeMotif" />
     <br /><br />
     </td>
    </tr>
   </table>
  </ItemTemplate>
  <FooterStyle BackColor="Tan" />
  <SelectedItemStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
  <AlternatingItemStyle BackColor="PaleGoldenrod" />
  <HeaderStyle BackColor="Tan" Font-Bold="True" />
 </asp:DataList>
</div>
</asp:Content>

